package contracts

import (
	"net/http"

	"github.com/samber/do"
)

type Captcha interface {
	HttpMiddleware(container *do.Injector) func(next http.Handler) http.Handler
	Verify(id int64, answer string, clear bool) error
	Generate(captchaUuid, recipient, ip string, u User) (body string, id int64, err error)
}
